function [Fcap] = func_capilary(para,input_BC)


% construction of inter-yarn angle and normal forces
alp = [90,60,45,30]*pi/180;
Fn = [0.8,1.3,1.8,2.5];
Fn = [Fn;Fn;Fn;Fn]';
% construction yarn tentions
E = [4.1,5.95,7.78,10.37];
E = [E;E;E;E]';

% interpolating the input data
Fn_plot = linspace(0.8,2.5,100);
Fn_plot = [Fn_plot;Fn_plot;Fn_plot;Fn_plot]';
E_plot = linspace(4.1,10.37,100);
E_plot = [E_plot;E_plot;E_plot;E_plot]';

% import constant parameters of the model
gama = 7.213e-5; %[N/mm]
R = 3; % [mm] 
% import fit parameters of the model
r = para(1) ; %[mm]
nf = para(2);
ka = para(3);

% calculation of the capillary model
L_dia = (R.*((Fn./E).^nf)./ sin(alp).^ka);

P_dia = (4.*L_dia);

Fcap =  pi.*gama.*(1./r).*P_dia.^2;
% calculation of the capillary model for plotting

L_diaplot = (R.*((Fn_plot./E_plot).^nf)./ sin(alp).^ka);

P_diaplot = (4.*L_diaplot);

Fcapplot =  pi.*gama.*(1./r).*P_diaplot.^2;

% plotting the calulated data and experimental data
figure (1)
clf
hold on
plot(Fn_plot,Fcapplot,'-b')
plot(Fn,input_BC,'o')
axis([0.5 3 0.05 0.45])
xlabel('Normal force [N]')
ylabel('Capillary force [N]')
box on
axis normal
grid on

end
